Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.nio
Class MappedStoreManager

`java.lang.Object
com.tangosol.util.Base
com.tangosol.io.nio.AbstractStoreManager
com.tangosol.io.nio.MappedStoreManager`

All Implemented Interfaces:
  BinaryStoreManager

      public class MappedStoreManager

extends AbstractStoreManager

An implementation of BinaryStoreManager interface that uses `BinaryMap` objects built on the `MappedBufferManager` to provide `BinaryStore` objects.

Since:
  Coherence 2.4
Author:
  gg 2004.06.09

Constructor Summary
`MappedStoreManager(int cbInitial, int cbMaximum, java.io.File dir)` Construct a DirectStoreManager that uses BinaryMap objests built on the MappedBufferManager(s) with certain initial and maximum size.

Method Summary
`protected ByteBufferManager` | `createBufferManager()` Create a ByteBufferManager to be used by a BinaryStore.
`java.io.File` | `getDirectory()` Obtain the directory to use for MappedBufferManager(s).
`void` | `setDirectory(java.io.File dir)` Specify the directory to use for MappedBufferManager(s).

Methods inherited from class com.tangosol.io.nio.AbstractStoreManager
`createBinaryStore, destroyBinaryStore, getMaxCapacity, getMinCapacity, setMaxCapacity, setMinCapacity`

Constructor Detail

### MappedStoreManager

    public MappedStoreManager(int cbInitial,
                              int cbMaximum,
                              java.io.File dir)

  Construct a DirectStoreManager that uses BinaryMap objests built on the MappedBufferManager(s) with certain initial and maximum size.
  Parameters:
    `cbInitial` - the initial size of the managed buffers
    `cbMaximum` - the maximum size of the managed buffers

Method Detail

### getDirectory

    public java.io.File getDirectory()

  Obtain the directory to use for MappedBufferManager(s).
  Returns:
    the File object, or null if the default location is used

### setDirectory

    public void setDirectory(java.io.File dir)

  Specify the directory to use for MappedBufferManager(s).
  Parameters:
    `dir` - the File object representing the directory, or null to use the default location

### createBufferManager

    protected ByteBufferManager createBufferManager()

  Create a ByteBufferManager to be used by a BinaryStore.
  Specified by:
    `createBufferManager` in class `AbstractStoreManager`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.